import pandas as pd
import numpy as np
import contextlib
# do not import dios-stuff here


@contextlib.contextmanager
def reraise(prefix="", postfix=""):
    try:
        yield
    except Exception as e:
        raise type(e)(prefix + str(e) + postfix) from e


def get_storage_class_values(cls):
    return [getattr(cls, c) for c in cls.__dict__ if not c.startswith("_")]


